ru.bitel.bgbilling.kernel.contract.balance.server.bean

## Class PaymentAndChargeManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<PaymentType>
    - - ru.bitel.bgbilling.kernel.contract.balance.server.bean.PaymentAndChargeManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

  Deprecated.

      @Deprecated
      public class PaymentAndChargeManager
      extends ru.bitel.common.dao.AbstractDao<PaymentType>

  Использовать PaymentTypeDao и ChargeTypeDao.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_CHARGE_TABLE` Deprecated.
    `static java.lang.String` | `TYPE_PAYMENT_TABLE` Deprecated.

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentAndChargeManager(java.sql.Connection con, java.lang.String tableName)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PaymentType` | `getFromRS(java.sql.ResultSet rs)` Deprecated.
    `PaymentTypeItem` | `getTree(int editable)` Deprecated.
    `java.util.List<PaymentType>` | `list(int editable)` Deprecated.
    `protected void` | `updateImpl(PaymentType b)` Deprecated.

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CHARGE_TABLE

          public static final java.lang.String TYPE_CHARGE_TABLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### TYPE_PAYMENT_TABLE

          public static final java.lang.String TYPE_PAYMENT_TABLE

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PaymentAndChargeManager

          public PaymentAndChargeManager(java.sql.Connection con,
                                         java.lang.String tableName)

      Deprecated.

  - ### Method Detail

    - #### updateImpl

          protected void updateImpl(PaymentType b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Deprecated.
      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getFromRS

          protected PaymentType getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException

      Deprecated.
      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<PaymentType>`
      Throws:
        `java.sql.SQLException`

    - #### list

          public java.util.List<PaymentType> list(int editable)
                                           throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTree

          public PaymentTypeItem getTree(int editable)
                                  throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Throws:
        `ru.bitel.bgbilling.common.BGException`